How to fix a “vsdurl is not configured” error in draw.io?

If you are using Confluence Server/DC, you need to set up the draw.io app to use our conversion servers, as .vsd, .vss, and .vdx files cannot be converted on the Confluence Server instance itself.

Add the vsdurl=https://convert.diagrams.net/VsdConverter/api/converter option to the draw.io app configuration script.

To convert Visio diagrams containing EMFimages, add the emf2png=https://convert.diagrams.net/emf2png/convertEMF option to the draw.io app configuration script in Server/DC.

The entire diagram file is sent to our servers, which have our usual strict security policies applied.